package mschmidt.komo;
/*
 * Custom action that controls 
 * database restore operation.
 */

import mschmidt.komo.datatools.RestoreWizard;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbRestoreAction extends Action implements IWorkbenchAction {
	// Initialize variables for this action.
	private IWorkbenchWindow thisWindow;

	public final static String ACTION_ID = "mschmidt.komo.DbVacuumAction";

	/*
	 * Create the action and set appearance variables.
	 */
	public DbRestoreAction(final IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Restore Database");
		setToolTipText("Restore database from an archive file");
		setImageDescriptor(KomoPlugin
				.getImageDescriptor(ApplicationImages.DB_RESTORE_ICON));
	}

	public final void run() {
		if (thisWindow != null) {
			RestoreWizard wizard = new RestoreWizard();
			WizardDialog dialog = new WizardDialog(thisWindow.getShell(),
					wizard);
			dialog.create();
			dialog.open();
			if (wizard != null) {
				wizard.dispose();
			}

		}
	}

	public void dispose() {
	}

}
